import { Component } from '@angular/core';
import { NavController } from '@ionic/angular';
@Component({
  selector: 'app-tab3',
  templateUrl: 'tab3.page.html',
  styleUrls: ['tab3.page.scss']
})
export class Tab3Page {

  
  constructor(private navCtrl: NavController) {}

  goToMyProfile() {
    this.navCtrl.navigateForward('/my-profile'); // 导航到“我的资料”页面
  }

  goToMyAppointments() {
    this.navCtrl.navigateForward('/my-appointments'); // 导航到“我的预约”页面
  }

  goToMoreServices() {
    this.navCtrl.navigateForward('/more-services'); // 导航到“更多服务”页面
  }

  goToTaskCenter() {
    this.navCtrl.navigateForward('/task-center'); // 导航到“任务中心”页面
  }

  goToSystemSettings() {
    this.navCtrl.navigateForward('/system-settings'); // 导航到“系统设置”页面
  }
  
}

